# acmacros --
# 
# Part of: DevelStuff
# Contents: more macros for GNU Autoconf
# Date: Thu Dec 18, 2003
# 
# Abstract
# 
# 
# 
# Copyright (c) 2003 Marco Maggi
# 
# This is free  software you can redistribute it  and/or modify it under
# the terms of  the GNU General Public License as  published by the Free
# Software Foundation; either  version 2, or (at your  option) any later
# version.
# 
# This  file is  distributed in  the hope  that it  will be  useful, but
# WITHOUT   ANY  WARRANTY;  without   even  the   implied  warranty   of
# MERCHANTABILITY  or FITNESS  FOR A  PARTICULAR PURPOSE.   See  the GNU
# General Public License for more details.
# 
# You  should have received  a copy  of the  GNU General  Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation,  Inc., 59  Temple Place -  Suite 330,  Boston, MA
# 02111-1307, USA.
# 
# $Id: acmacros.m4,v 1.1.1.1 2003/12/18 14:20:23 marco Exp $

AC_DEFUN([DS_CHECK_TCLPKG], [
    if test -z "${TCLSH}"; then
	AC_MSG_WARN([cannot test for package $1, TCLSH not set])
    else
	AC_MSG_CHECKING([package $1])

	changequote(<, >)
	ds_tmp=$(echo "if { [catch {package require $1 $2}] } \
	    { puts 1 }; exit" | ${TCLSH})
	changequote([, ])

	if test "${ds_tmp}" != "1"; then
	    ds_tmp=yes
	else
	    ds_tmp=no
	fi
	AC_MSG_RESULT([$ds_tmp])
    fi
])


### end of file
# Local Variables:
# mode: m4
# page-delimiter: "^#PAGE"
# End:
